> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get states

GET https://demo.rooms.docusign.com/restapi/v2/states

Returns a list of states.

**Note:** You do not enter an `accountId` with this method.

## Permissions

Anyone with a valid access token can call this method.

Reference: https://developers.docusign.com/docs/rooms-api/reference/globalresources/states/getstates

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Response

### 200

Request was successful.

- `states` (list of State, optional) — A list of states.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### State

Contains information about a state.

- `stateId` (string, optional) — A concatenation of the two-letter country code with the state/province/region of the office address. Example: `US-OH` (for Ohio)
- `name` (string, optional) — The name of the state. Possible values are: - `Alberta` - `Auckland` - `New South Wales` - `Alabama` - `Alaska` - `Bay of Plenty` - `British Columbia` - `Queensland` - `South Australia` - `Manitoba` - `Canterbury` - `Arizona` - `Arkansas` - `New Brunswick` - `Tasmania` - `Hawke's Bay` - `Manawatu-Wanganui` - `Victoria` - `Newfoundland and Labrador` - `California` - `Colorado` - `Western Australia` - `Northwest Territories` - `Northland` - `Otago` - `Australian Capital Territory` - `Nova Scotia` - `Connecticut` - `Delaware` - `Nunavut` - `Northern Territory` - `Southland` - `Taranaki` - `Ontario` - `District of Columbia` - `Florida` - `Prince Edward Island` - `Waikato` - `Wellington` - `Quebec` - `Georgia` - `Guam` - `Saskatchewan` - `West Coast` - `Gisborne District` - `Yukon` - `Hawaii` - `Idaho` - `Marlborough District` - `Nelson City` - `Illinois` - `Indiana` - `Tasman District` - `Chatham Islands Territory` - `Iowa` - `Kansas` - `Kentucky` - `Louisiana` - `Maine` - `Maryland` - `Massachusetts` - `Michigan` - `Minnesota` - `Mississippi` - `Missouri` - `Montana` - `Nebraska` - `Nevada` - `New Hampshire` - `New Jersey` - `New Mexico` - `New York` - `North Carolina` - `North Dakota` - `Ohio` - `Oklahoma` - `Oregon` - `Pennsylvania` - `Puerto Rico` - `Rhode Island` - `South Carolina` - `South Dakota` - `Tennessee` - `Texas` - `US Virgin Islands` - `Utah` - `Vermont` - `Virginia` - `Washington` - `West Virginia` - `Wisconsin` - `Wyoming`

## Examples

**Response**

```json
{
  "states": [
    {
      "stateId": "string",
      "name": "string"
    }
  ]
}
```